ReadTimeoutException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class ReadTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.RequestTimeoutException
            - - org.apache.cassandra.exceptions.ReadTimeoutException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public class ReadTimeoutException
      extends RequestTimeoutException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `dataPresent`

    - ### Fields inherited from class org.apache.cassandra.exceptions.RequestTimeoutException

      `blockFor, consistency, received`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadTimeoutException(ConsistencyLevel consistency, int received, int blockFor, boolean dataPresent)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### dataPresent

          public final boolean dataPresent

  - ### Constructor Detail

    - #### ReadTimeoutException

          public ReadTimeoutException(ConsistencyLevel consistency,
                                      int received,
                                      int blockFor,
                                      boolean dataPresent)

Copyright © 2018 The Apache Software Foundation